<?php
/**
 * The template for displaying Author Archive pages
 *
 * Used to display archive-type pages for posts by an author.
 *
 * @link http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage Twenty_Twelve
 * @since Twenty Twelve 1.0
 */

get_header(); ?>
<div class="container">
<div class="row">
<div class="col-sm-9">
	<section id="primary" class="site-content">
		<div id="content" role="main">
		<?php if ( have_posts() ) : ?>
			<?php the_post(); ?>
			<header class="archive-header">
				<h3 class="page-header"><?php printf( __( 'Author Archives: %s', 'BooWP' ), '<span class="vcard"><a class="url fn n" href="' . esc_url( get_author_posts_url( get_the_author_meta( "ID" ) ) ) . '" title="' . esc_attr( get_the_author() ) . '" rel="me">' . get_the_author() . '</a></span>' ); ?></h3>
			</header><!-- .archive-header -->
			<?php rewind_posts();	?>
			<?php
			// If a user has filled out their description, show a bio on their entries.
			if ( get_the_author_meta( 'description' ) ) : ?>
			<div class="author-info">
				<div class="author-avatar">
					<?php
					$author_bio_avatar_size = apply_filters( 'BooWP_author_bio_avatar_size', 68 );
					echo get_avatar( get_the_author_meta( 'user_email' ), $author_bio_avatar_size );
					?>
				</div><!-- .author-avatar -->
				<div class="author-description">
					<h3 class="page-header"><?php printf( __( 'About %s', 'BooWP' ), get_the_author() ); ?></h3>
					<p><?php the_author_meta( 'description' ); ?></p>
				</div><!-- .author-description	-->
			</div><!-- .author-info -->
			<?php endif; ?>

			<?php /* Start the Loop */ ?>
			<?php while ( have_posts() ) : the_post(); ?>
			<div class="col-sm-6 post-box">
			<header class="entry-header">
			<h4 class="post-title"><a href="<?php echo esc_url( get_permalink() ) ?>"><?php the_title()?></a></h4>
			<div class="thumbnail col-sm-4">
			<a href="<?php echo esc_url( get_permalink() ) ?>">
			<?php
			if ( has_post_thumbnail() ):
			the_post_thumbnail();
			else: ?>
			<img src="<?php echo get_template_directory_uri()?>/images/no-thumbnail.png" alt="<?php the_title(); ?>" />
			<?php endif?>
			</a>
			</div>
			<?php if ( comments_open() ) : ?>
			<?php endif; // comments_open() ?>
		</header><!-- .entry-header -->
		<div class="entry-content">
			<?php echo wp_trim_words( strip_shortcodes(get_the_content()), 10 ); ?>
			<?php wp_link_pages( array( 'before' => '<div class="page-links">' . __( 'Pages:', 'BooWP' ), 'after' => '</div>' ) ); ?>
		</div><!-- .entry-content -->
		<br />
		<footer class="entry-meta">
			<?php BooWP_entry_meta(); ?>
			<?php edit_post_link( __( 'Edit', 'BooWP' ), '<span class="edit-link">', '</span>' ); ?>
			<?php if ( is_singular() && get_the_author_meta( 'description' ) && is_multi_author() ) : // If a user has filled out their description and this is a multi-author blog, show a bio on their entries. ?>
				<div class="author-info">
					<div class="author-avatar">
						<?php
						/** This filter is documented in author.php */
						$author_bio_avatar_size = apply_filters( 'BooWP_author_bio_avatar_size', 68 );
						echo get_avatar( get_the_author_meta( 'user_email' ), $author_bio_avatar_size );
						?>
					</div><!-- .author-avatar -->
					<div class="author-description">
						<h2><?php printf( __( 'About %s', 'BooWP' ), get_the_author() ); ?></h2>
						<p><?php the_author_meta( 'description' ); ?></p>
						<div class="author-link">
							<a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" rel="author">
								<?php printf( __( 'View all posts by %s <span class="meta-nav">&rarr;</span>', 'BooWP' ), get_the_author() ); ?>
							</a>
						</div><!-- .author-link	-->
					</div><!-- .author-description -->
				</div><!-- .author-info -->
			<?php endif; ?>
		</footer><!-- .entry-meta -->
		</div>

			<?php endwhile; ?>

			<?php BooWP_content_nav( 'nav-below' ); ?>

		<?php else : ?>
			<?php get_template_part( 'content', 'none' ); ?>
		<?php endif; ?>

		</div><!-- #content -->
	</section><!-- #primary -->
</div>
<?php get_sidebar(); ?>
</div>
</div>
<?php get_footer(); ?>