<?php
/**
 * The template for displaying Comments
 *
 * The area of the page that contains both current comments
 * and the comment form. The actual display of comments is
 * handled by a callback to BooWP_comment() which is
 * located in the functions.php file.
 *
 * @package WordPress
 * @subpackage Twenty_Twelve
 * @since Twenty Twelve 1.0
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() )
	return;
?>
	<?php // You can start editing here -- including this comment! ?>
	<?php if ( have_comments() ) : ?>
		<div id="comments" class="well well-sm">
		<h4 class="page-header">
		<?php
			printf( _n( 'One Response to %2$s', '%1$s Responses to %2$s', get_comments_number(), 'BooWP' ),
			number_format_i18n( get_comments_number() ), '<em>' . get_the_title() . '</em>' );
		?>
		</h4>
		<ol class="comment-ol">
			<?php wp_list_comments( array( 'callback' => 'BooWP_comment', 'style' => 'ol' ) ); ?>
		</ol><!-- .commentlist -->
		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // are there comments to navigate through ?>
		<nav id="comment-nav">
			<ul class="clearfix">
				<li><?php previous_comments_link( __("Older comments","BooWP") ) ?></li>
				<li><?php next_comments_link( __("Newer comments","BooWP") ) ?></li>
			</ul>
		</nav>		
		<?php endif; // check for comment navigation ?>
		<?php
		if ( ! comments_open() && get_comments_number() ) : ?>
		<p class="nocomments"><?php _e( 'Comments are closed.' , 'BooWP' ); ?></p>
		<?php endif; ?>
		<div class="clearfix"></div>
</div>
<?php comment_form(); ?>
<!-- #comments .comments-area -->
<?php endif; // have_comments() ?>

