<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<!--[if IE]><meta http-equiv="X-UA-Compatible" content="IE=Edge"><![endif]-->
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title><?php wp_title( '|', true, 'right' ); ?></title>
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
<?php wp_head(); ?>
<link rel="shortcut icon" href="<?php echo get_template_directory_uri()?>/favicon.ico" />
</head>
<?php if ( has_nav_menu( 'top' ) ):?>
<body style="padding-top: 40px;">
<?php $cls = (is_admin_bar_showing()) ? $cls = 'style="top:32px"' : null?>
<!-- top menu -->
<nav id="navbar-top" class="navbar navbar-inverse navbar-fixed-top" role="navigation" <?php echo $cls?>>
    <div class="container">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-top">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
        </div>
        <div class="collapse navbar-collapse navbar-top">
			<?php
				wp_nav_menu( array(
					 'menu'              => 'Top Menu',
					 'theme_location'    => 'top',
					 'depth'             => 0,
					 'menu_class'        => 'nav navbar-nav',
					 'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
					 'walker'            => new wp_bootstrap_navwalker())
				);
			?>
        </ul>
       <ul class="nav navbar-nav navbar-right navbar-primary-right">
        <li class="dropdown">
          <a href="#" class="dropdown-toggle" data-toggle="dropdown"> Search <b class="caret"></b></a>
          <ul class="dropdown-menu"  style="width: 340px;">
            <?php get_search_form(); ?>
          </ul>
        </li>
      </ul>
      </div>
	 </div> <!-- container -->
</nav>
<div class="clearfix"></div>
<?php else:?>
<body>
<?php endif?>
<header id="header">
<div class="container">
<?php
	$is_widget = wp_get_sidebars_widgets();
    if( count($is_widget['header1']) == true):?>
<div id="header-right" class="col-sm-6 pull-right col-xs-12">
<?php dynamic_sidebar( 'header1' ); ?>
</div>
<?php endif?>
<?php if ( get_header_image() ) : ?>
<div id="logo">
<a href="<?php echo esc_url( home_url( '/' ) ); ?>"><img src="<?php header_image(); ?>" width="<?php echo get_custom_header()->width; ?>" height="<?php echo get_custom_header()->height; ?>" alt="" /></a>
</div>
</div> <!-- #logo container -->
<?php else:?>
<div id="logo-text" class="container">
	<h2 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h2>
	<h4 class="site-description"><?php bloginfo( 'description' ); ?></h4>
</div>
<?php endif; ?>

<nav id="navbar-header" class="navbar navbar-default navbar-static-top" role="navigation">
    <div class="container">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-a">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
        </div>
        <div class="collapse navbar-collapse navbar-a">
        <?php
            wp_nav_menu( array(
                'menu'              => 'primary',
                'theme_location'    => 'primary',
                'depth'             => 0,
                'menu_class'        => 'nav navbar-nav navbar-left',
                'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
                'walker'            => new wp_bootstrap_navwalker())
            );
        ?>
       <ul class="nav navbar-nav navbar-right navbar-primary-right">
        <li class="dropdown">
          <a href="#" class="dropdown-toggle" data-toggle="dropdown"> Search <b class="caret"></b></a>
          <ul class="dropdown-menu"  style="width: 340px;">
            <?php get_search_form(); ?>
          </ul>
        </li>
      </ul>
      </div>
      </div>
</nav> <!-- #primary nav menu -->
<div class="clearfix"></div>
</header>
<script>
jQuery(document).ready(function($) {
  $('ul.nav li.dropdown, ul.nav li.dropdown-submenu').hover(function() {
		$(this).find(' > .dropdown-menu ').stop(true, true).delay(200).fadeIn();
	}, function() {
		$(this).find(' > .dropdown-menu').stop(true, true).delay(200).fadeOut();
	});
});
</script>
<div class="clearfix"></div>
